<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="CSCOPE">
  <refnamediv>
    <refname>CSCOPE</refname>
    <refpurpose>Single Display Scope</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/palettes/CSCOPE.jpg" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_CSCOPE">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CSCOPE">Single Display Scope</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_CSCOPE">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_CSCOPE">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_CSCOPE">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_CSCOPE">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_CSCOPE">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Computationalfunction_CSCOPE">Computational function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Seealso_CSCOPE">See also</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Authors_CSCOPE">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_CSCOPE">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Sinks_pal">Sinks palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_CSCOPE">
    <title>Description</title>
    <para>
The Scope block displays its input with respect to simulation
time. Both axes have a common range.  The Scope allows you to adjust
the amount of time and the range of input values displayed.   

</para>
  </refsection>
  <refsection id="Dialogbox_CSCOPE">
    <title>Dialog box</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/gui/CSCOPE_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Color </emphasis>
        </para>
        <para> a vector of integers. The i-th element is the color number (<inlinemediaobject><imageobject><imagedata fileref="../../../../help/images/CSCOPE_img3_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> ) or dash type (<inlinemediaobject><imageobject><imagedata fileref="../../../../help/images/CSCOPE_img4_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> ) used to draw the evolution of the i-th input port signal. See<emphasis role="bold">plot2d</emphasis> for color (dash type) definitions.</para>
        <para> Properties : Type 'vec' of size 8 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Output window number </emphasis>
        </para>
        <para> The number of graphic window used for the display. It is often good to use high values to avoid conflict with palettes and Super Block windows. If default value is used<emphasis role="bold">(1)</emphasis> , Scicos define the output window number.</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Output window position</emphasis>
        </para>
        <para> a 2 vector specifying the coordinates of the upper left corner of the graphic window. Answer [] for default window position.</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Output window sizes</emphasis>
        </para>
        <para> a 2 vector specifying the coordinates of the upper left corner of the graphic window. Answer [] for default window position.</para>
        <para> Properties : Type 'vec' of size -1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Ymin</emphasis>
        </para>
        <para> Minimum values of the input; used to set up the Y-axis of the plot in the graphics window.</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Ymax</emphasis>
        </para>
        <para> Maximum values of the input; used to set up the Y-axis of the plot in the graphics window.</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Refresh period</emphasis>
        </para>
        <para> Maximum value on the X-axis (time). The plot is redrawn when time reaches a multiple of this value.</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Buffer size</emphasis>
        </para>
        <para> To improve efficiency it is possible to buffer the input data. The drawing is only done after each<emphasis role="bold">Buffer size</emphasis> call to the block.</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Accept herited events 0/1</emphasis>
        </para>
        <para> if 0<emphasis role="bold">CSCOPE_f</emphasis> draws a new point only when an event occurs on its event input port. If 1<emphasis role="bold">CSCOPE_f</emphasis> draws a new point when an event occurs on its event input port and when it's regular input changes due to an event on an other upstream block (herited events).</para>
        <para> Properties : Type 'vec' of size 1 </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Name of Scope </emphasis>
        </para>
        <para> Name/label of the block.</para>
        <para> Properties : Type 'str' of size 1</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Defaultproperties_CSCOPE">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> yes</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">regular inputs:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : size [-1,1] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation inputs:</emphasis> 1</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation outputs:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>
          <emphasis role="italic">cscope</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_CSCOPE">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Sinks/CSCOPE.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Computationalfunction_CSCOPE">
    <title>Computational function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/cscope.c (Type 4)</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Seealso_CSCOPE">
    <title>See also</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CMSCOPE">CMSCOPE - Multi display scope</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_CSCOPE">
    <title>Authors</title>
    <para>
      <emphasis role="bold"/>
    </para>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">Ramine Nikoukhah</emphasis> INRIA</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Benoit Bayol</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
